Subject: Re: [PATCH] bcm43xx: Drain TX status before starting IRQs

From: Larry Finger <[email-masked]>
Date: Wed, 01 Nov 2006 23:46:27 -0600

Michael Buesch wrote:
> Drain the Microcode TX-status-FIFO before we enable IRQs.
> This is required, because the FIFO may still have entries left
> from a previous run. Those would immediately fire after enabling
> IRQs and would lead to an oops in the DMA TXstatus handling code.
> 
> Signed-off-by: Michael Buesch <[email-masked]>
> 
> --
> 
> Please consider also pushing this into the -stable tree.
> The bug is not likely to trigger, but at least ben
> triggered it in the past. Anyway, it can't hurt much to
> drain the FIFO before running the device.
> 
> Note that this is diffed against 2.6.18.1 and not 2.6.18
> as the diff prolog suggests. I just forgot to rename
> the directory. ;)

Has anyone used this patch, particularly with WPA encryption? When I try it, wpa_supplicant 
immediately uses 90+% of the cpu and never actually authenticates with my AP. I wonder if it is 
something with my system.

Thanks,

Larry